Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #582

Title is not displayed
October 22, 2015 12:38 - Nuno Dias

Status: Rejected Start date: October 22, 2015
Priority: Major Due date:

Assignee: % Done: 0%

Category: Estimated time: 0.00 hour

Target version:

Affects version: 3.6.2,3.7

Description

In the tab title, instead of the title the name of the file is displayed.

| have this problem in Fedora 22 (x86_64), | compiled audacious from the source and tested with 3.6.2 and 3.7betaf

| think this is not the same problem as bug #490

http://redmine.audacious-media-player.org/issues/490 because | have the Fallback character encodings set, UTF-8, ISO-8859-1,
ISO-8859-15

| also romoved .config/audacious/ .local/share/audacious/ and tested.

file err.txt running audacious with -V
file err2.txt running audacious with -VV
Screenshot also in attach

History

#1 - October 22, 2015 14:16 - John Lindgren

It looks like there is some difficulty reading the ID3 tag. Can you attach an example file?

#2 - October 22, 2015 14:27 - Nuno Dias
- File 2015-10-22.mp3 added

File attached as requested.

#3 - October 23, 2015 02:07 - John Lindgren
- File easytag.png added

There is no title in the ID3 tag of that file. Not a bug.

easytag.png

#4 - October 23, 2015 02:07 - John Lindgren

- Status changed from New to Rejected

#5 - October 23, 2015 15:56 - Nuno Dias
- File Screenshot from 2015-10-23 14-40-50.png added

Ok, you are right about the title, but my confusion comes from the fact that in another computer with audacious 3.6.2 the Comment is displayed in the
title tab, as you can see in the attached screenshot

#6 - October 23, 2015 16:07 - Nuno Dias

So, | made some more tests, the problems is this, if | import the file using the file open option, the comment is used in the title, but if | get the file from
gpodder for example, drag it to audacious, the title is the name of the file.
#7 - October 23, 2015 21:50 - John Lindgren

How you add the file has no effect on how the tag is read. Sounds like you are opening two different files.

#8 - October 23, 2015 22:01 - Nuno Dias

Ok the test | done, is like this, | have in gpodder a podcast subscribed, | save the file from one of the podcasts from gpodder to a file and them | open

this file in audacious, | made the same test draging the episode of the podcast to audacious, with diferent results.

| can make a video if you want :)

Files

err.txt 12 KB October 22, 2015 Nuno Dias
err2.txt 67.1 KB  October 22, 2015 Nuno Dias
Screenshot from 2015-10-22 11-08-10.png 1.41 MB October 22, 2015 Nuno Dias
2015-10-22.mp3 3.35 MB October 22, 2015 Nuno Dias
easytag.png 27.1 KB  October 23, 2015 John Lindgren
Screenshot from 2015-10-23 14-40-50.png 69.7 KB October 23, 2015 Nuno Dias
